import service from '@/utils/request'

export const findExam = (data) => {
    return service({
        url: "/admin/findExam",
        method: 'post',
        data
    })
}

export const addExam = (data) => {
    return service({
        url: "/admin/addExam",
        method: 'post',
        data
    })
}

export const getWxGroupList = (data) => {
    return service({
        url: "/admin/getWxGroupList",
        method: 'post',
        data
    })
}

export const getWxUserGroupList = (data) => {
    return service({
        url: "/admin/getWxUserGroupList",
        method: 'post',
        data
    })
}

export const getWxAnswerList = (data) => {
    return service({
        url: "/admin/getWxAnswerList",
        method: 'post',
        data
    })
}


export const getExamList = (data) => {
    return service({
        url: "/admin/getExamList",
        method: 'post',
        data
    })
}



export const postData = (action, data) => {
    return service({
        url: `/admin/${action}`,
        method: 'post',
        data
    })
}